# Update Entry in Data Table (One to Many)

`PUT /lokta-lms/api/v1/datatables/{datatable}/{apptableId}/{datatableId}`

Updates one row in a one-to-many data table using its data table row ID and application table record ID.

Updates the row (if it exists) of the data table.

## Parameters
- `datatable` (path, string, required): datatable
- `apptableId` (path, integer, required): apptableId
- `datatableId` (path, integer, required): datatableId

## Responses
- `200`: OK

## Response fields
- `changes` (object)
- `clientId` (integer)
- `loanId` (integer)
- `officeId` (integer)
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X PUT \
  'https://default.lokta.tech/lokta-lms/api/v1/datatables/{datatable}/{apptableId}/{datatableId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "changes": {},
  "clientId": 1,
  "loanId": 1,
  "officeId": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/updateDatatableEntryOneToMany
